GuideLab API

Update Sticker Template

Update an existing sticker template's properties including name, dimensions, template data, category, and default status. Lab-only operation.

PUT
/sticker-templates/{id}

Update an existing sticker template's properties including name, dimensions, template data, category, and default status. Lab-only operation.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/sticker-templates/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "template": {    "id": "string",    "labId": "string",    "categoryId": "string",    "name": "string",    "description": "string",    "width": "string",    "height": "string",    "templateData": {      "basePdf": "string",      "schemas": [        [          {            "property1": null,            "property2": null          }        ]      ],      "sampledata": [        {          "property1": null,          "property2": null        }      ],      "property1": null,      "property2": null    },    "previewImageKey": "string",    "isDefault": true,    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string"  }}
Empty
Empty
Empty